Package org.drinkless.tdlib

# Class TdApi.PassportElementError

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PassportElementError

Enclosing class:
  TdApi

public static class TdApi.PassportElementError extends TdApi.Object
Contains the description of an error in a Telegram Passport element.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `message`
  Error message.
  `TdApi.PassportElementErrorSource`
  `source`
  Error source.
  `TdApi.PassportElementType`
  `type`
  Type of the Telegram Passport element which has the error.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassportElementError()`
  Contains the description of an error in a Telegram Passport element.
  `PassportElementError(TdApi.PassportElementType type, String message, TdApi.PassportElementErrorSource source)`
  Contains the description of an error in a Telegram Passport element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.PassportElementType type
    Type of the Telegram Passport element which has the error.

  - ### message

    public String message
    Error message.

  - ### source

    public TdApi.PassportElementErrorSource source
    Error source.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PassportElementError

    public PassportElementError()
    Contains the description of an error in a Telegram Passport element.

  - ### PassportElementError

    public PassportElementError(TdApi.PassportElementType type, String message, TdApi.PassportElementErrorSource source)
    Contains the description of an error in a Telegram Passport element.
    Parameters:
      `type` - Type of the Telegram Passport element which has the error.
      `message` - Error message.
      `source` - Error source.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR